package io.hmit.modules.fhjw.dao;

import io.hmit.common.dao.BaseDao;
import io.hmit.modules.fhjw.dto.CommitteeCountDTO;
import io.hmit.modules.fhjw.entity.FhjwCommentEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 案件评价表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-02
 */
@Mapper
public interface FhjwCommentDao extends BaseDao<FhjwCommentEntity> {
    //获取每个部门所有的好差评数量
    List<CommitteeCountDTO> getCountByDept(Map<String, Object> params);
    //获取每个部门已评价的案件数量
    List<CommitteeCountDTO> getCaseCountByDept();

    //获取最近12个月的好差评数量
    List<CommitteeCountDTO> getCountByMouth();

    //根据人员权限获取好差评数量
    List<CommitteeCountDTO> getCountByUserRole(Map<String, Object> params);

}
